<?php
define('IN_SMT',true);
define('CURSCRIPT','m');
define('IN_MYMPS', true);

require_once dirname(__FILE__)."/include/global.php";
require_once dirname(__FILE__)."/data/config.php";
ifsiteopen();
require_once MYMPS_DATA.'/config.db.php';
require_once MYMPS_INC.'/db.class.php';
require_once MYMPS_SMARTY.'/include.php';

if(pcclient()){
	$mobile_settings = get_mobile_settings();
	$mobile_settings['mdomain'] = $mobile_settings['mobiledomain'] ? $mobile_settings['mobiledomain'] : $mymps_global['SiteUrl'].'/m/';
	$smarty->assign('mobile_settings',$mobile_settings);
	tpl_assign();
	$smarty -> display(mymps_tpl(CURSCRIPT));
} else{
	write_msg('',$mymps_global['SiteUrl'].'/m/index.php');
}
?>